Subject: Re: bug#67459: Segmentation fault

From: Stefan Kangas <[email-masked]>
Date: Mon, 25 Dec 2023 06:33:54 -0800

Eli Zaretskii <[email-masked]> writes:

>> From: Gabriele LENZINI <[email-masked]>
>> Date: Sun, 26 Nov 2023 14:14:30 +0000
>>
>> I am using org mode, doom emacs, on a XPS 13 Dell, Windows 11, with WSL
>> installed, and power shell. I run emacs in windows, however.
>>
>> Emacs crashes regularly on this machine, and I tried to reinstall it,
>> restall doom, flyspell, org but it happens the same. The strange thing
>> is that on another dell, a desktop, it works like a charm. So it should
>> be something that has to do with this machine architecture (Inter core
>> 17). Maybe 32 vs 65 bit, but my emacs is a 64 bits as this machine.
>>
>> I haven't noticed any pattern in the crashing. Sometimes when I writing,
>> even deleting a word, so I have no clue. I have only recently learned
>> how to launch emacas with gdb and only now I manage to have this report
>> done. Apologies for not being able to give more insights.
>
> What does "crashes" mean, exactly?  Can you describe in detail what
> you see when Emacs crashes in your case?
>
> Also, if you run Emacs under GDB, please produce a backtrace when it
> crashes, by typing "thread apply all bt" at the GDB prompt, and post
> here the results.

Ping.  I think we need more information to make any progress here.